<?php
namespace Teknisa\CDP\Modules\Producao\Controllers;

    use \Teknisa\GER\Libraries\PHPMailer;
    use Teknisa\CDP\Controllers\TeknisaCrud;
    use Teknisa\GER\Controllers\CrudController;
    use Zeedhi\Framework\DTO;
    use Zeedhi\Framework\DTO\Response\Error;
    use \Zeedhi\Framework\DataSource\DataSet;
    use Zeedhi\Framework\DataSource\ParameterBag;

    class Cdp00500EtapaDeProducaoController extends TeknisaCrud {
        protected $dataSourceName = 'etapaprod';
        protected $Cdp00500EtapaDeProducaoService;
  
        public function __construct($crudService, ParameterBag $parameterBag, $Cdp00500EtapaDeProducaoService){
            parent::__construct($crudService, $parameterBag);
            $this->Cdp00500EtapaDeProducaoService = $Cdp00500EtapaDeProducaoService;
        }

        public function saveEtapa(DTO\Request $request, DTO\Response $response) {
            try {
                $row = $request->getRow();
                $rows = $this->crudService->getRowsToSave($request, $this->dataSourceName);
                $this->Cdp00500EtapaDeProducaoService->saveEtapa($rows[0]);
            } catch (\Exception $e) {
                $response->setError(new Error($e->getMessage(), 1));
            }
        }

        
    }
?>