<?php
namespace Teknisa\CDP\Modules\Qualidade\Factories;

use Doctrine\ORM\EntityManager;

class QPR01000ParametrosQualidadeProducaoFactory{
    
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }

    public function getProxConsulta(){
        $sql = "SELECT LAST_DATE AS DTHRULTIMACONSULTA, NEXT_DATE AS DTHRPROXIMACONSULTA FROM ALL_JOBS  WHERE WHAT LIKE 'GERA_REANALISE%'";
        $std = $this->connection->prepare($sql);
        $std->execute();
        return $std->fetch();
    }
    
     public function getUltConsulta($params){
        $sql = "SELECT DTULTCONSULTA, NRORG FROM PARAMETROQPR WHERE CDFILIAL = :CDFILIAL AND NRORG = :NRORG";
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetch();
    }
    
}

?>